const mongoose = require('mongoose');
const Schema = mongoose.Schema;


let leagueM = 
new Schema(
    {
        Name: {type: String, required: true, max: 20, unique:true},
        Players: {type: Array, required: true, max: 10},
        Games:{type: Array, required:true},
        Owner:{type:String, required:true}
    }
    );
    
    
    
    
const League = module.exports = mongoose.model('leagues',leagueM);
module.exports.get = (callback, limit)=>
{
    League.find(callback).limit(limit); 
}
 